﻿using Ant_Colony_Optimalization.Graph;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ant_Colony_Optimalization.Ant.PheromoneActualization
{
    public class CIncreaseConstant : IPheromoneIncrease
    {
        private double value;

        public CIncreaseConstant(double value)
        {
            this.value = value;
        }
        public void IncreasePheromone(Graph.CEdge[] edgeArray)
        {
            foreach (CEdge edge in edgeArray)
            {
                edge.Pheromone = this.value;
            }
        }
    }
}
