﻿using Ant_Colony_Optimalization.Graph;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ant_Colony_Optimalization.Ant.PheromoneActualization
{
    public class CIncreasePlus : IPheromoneIncrease
    {
        private double value;
        private double max;

        public CIncreasePlus(double value, double max)
        {
            this.value = value;
            this.max = max;
        }
        public void IncreasePheromone(Graph.CEdge[] edgeArray)
        {
            foreach (CEdge edge in edgeArray)
            {
                if (edge.Pheromone < this.max){
                    edge.Pheromone = edge.Pheromone+  this.value;
                }
            }
        }
    }
}
