﻿using Ant_Colony_Optimalization.Graphic.Object;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Ant_Colony_Optimalization.Graphic
{
    public class CNodePhoremoneStrenge : IComparable
    {
        public double Strenge { get; set; }

        public int StrengeColorValue { get; set; }
        public CNodePoint Point { get; set; }

        public CNodePhoremoneStrenge(CNodePoint point,double strenge)
        {
            this.Strenge = strenge;
            this.Point = point;
        }



        public int CompareTo(object obj)
        {
            return this.Strenge.CompareTo(((CNodePhoremoneStrenge)obj).Strenge);
        }

        private int ConvertToColorValue(double max)
        {
            return ((int)Math.Round((this.Strenge / max) *255));
        }

        public void RecalculateColorValue(double max)
        {
            this.StrengeColorValue = this.ConvertToColorValue(max);
        }
    }
}
